ClearVAT REST API API Reference

The ClearVAT Taxing API is your interface to use all of our EU VAT services. The API is REST based to make it simple to integrate in most eCommerce systems. We use SAP Cloud datacenters in Frankfurt, secured by SAP Identity Access Management. We try to make it as simple as possible to use our VAT services. VAT itself is complex enough. We use names for data fields and API Requests that make it easy to understand what the meaning is. It is very hard to have consistent naming when you work together with many vendors. But we try hard to permanently improve our API to have as much consistency as possible. Our API should help to quickly find out what the reason for an error was and - when possible - to assume what is the expected answer. Wherever possible we rely on open Standards (ISO, OpenAPI, OpenCSV, etc.)

API Endpoint
http://cvapprefe158fecd1.eu2.hana.ondemand.com/
Terms of Service: Terms
Contact: support@clervat.org
Version: 1.2.0-SNAPSHOT

Authentication

basicAuth

type
basic

Configuration

Returns static configuration for your shop.

GET /cv-configuration/rest/config
200 OK

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
[
  {
    "created_by": "string",
    "created_on": "string (date-time)",
    "id": "integer (int64)",
    "modified_by": "string",
    "modified_on": "string (date-time)",
    "name": "string",
    "shop_id": "integer (int64)",
    "tenant_id": "integer (int64)",
    "value": "string"
  }
]

Product upload

Automated upload of new and existing articles.

POST /cv-taxing/rest/product

ProductNumber;UidType;UidNumber;Description;Language;Category
001;;;Das dicke Kindergarten-Malbuch;DE;Buch
002;;;Das kleine Erwachsenen-Malbuch;DE;Buch

Request Content-Types: text/csv
Request Example
"products.csv"
204 No Content

No Content

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json

Assignment

Lists products by status from the uploaded article repository on the ClearVAT Server.

GET /cv-taxing/rest/product
status: string
in query

status

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
{
  "metadata": {
    "page": "integer (int32)",
    "page_size": "integer (int32)",
    "total_elements": "integer (int64)",
    "total_pages": "integer (int32)"
  },
  "products": [
    {
      "net_amount": "number",
      "gross_amount": "number",
      "product_number": "string"
    }
  ]
}

ClearVAT Case

Checks if is possible to use the ClearVAT Service for specified area.

GET /cv-taxing/rest/clearvatcase
country_from: string
in query

country_from

country_to: string
in query

country_to

zip_from: string
in query

zip_from

zip_to: string
in query

zip_to

service: string
in query

service type: display|collect, default is collect

200 OK

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
{
  "clearvatcase": true
}

Display

Shows the correct gross price of your articles for a defined destination country.

GET /cv-taxing/rest/display
country_from: string
in query

country_from

country_to: string
in query

country_to

net_amount: number
in query

net_amount

product_number: string
in query

product_number

zip_from: string
in query

zip_from

zip_to: string
in query

zip_to

200 OK

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
{
  "gross_amount": "number",
  "net_amount": "number",
  "product_number": "string",
  "vat_rate": "number"
}

Display (bulk)

Shows the correct gross price of your articles for a defined destination country in bulk mode.

POST /cv-taxing/rest/display
Request Content-Types: application/json
Request Example
{
  "country_from": "string",
  "country_to": "string",
  "products": [
    {
      "net_amount": "number",
      "gross_amount": "number",
      "product_number": "string"
    }
  ],
  "zip_from": "string",
  "zip_to": "string"
}
200 OK

OK

type
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
[
  {
    "gross_amount": "number",
    "net_amount": "number",
    "product_number": "string",
    "vat_rate": "number"
  }
]

List orders

Filters the orders within a shop.

GET /cv-order-management/rest/order

Provides filtering and paging for all orders within a shop. The request param query should be in format: criteria1;criteria2;criteria3;Any criteria is a simple restriction: shop_id = 4711. Supported restrictions are: {EQUALS,'='} for example shop_id = 4711. {LESS_THAN,'<'} for example amount < 1000. {CONTAINS,'~'} for example order_number ~ 100 {IN,'|'} for example currency | EUR,GBP{BETWEEN,':'} for example order_date : 2019-01-02,2019-12-31. Restrictions (AND or OR) are applied on search criteria. For example criteria1;criteria2 is evaluated as criteria1 AND criteria2.The default restriction is AND. OR is supported as well.

ascending: boolean false
in query

ascending

order_by_columns: string created_on
in query

order_by_columns

page_number: integer (int64) 10, 20, 50 10
in query

page_number

page_size: integer (int64) 1, 2, 3, 4, 5, 6 0
in query

page_size

query: string
in query

Search operations: ['<','>','=', ':'(between), '|' (in), '* ' (STARTS_WITH), '' (contains)]

restriction: string AND, OR AND
in query

Restrictions

OK

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
{
  "current_page": "integer (int64)",
  "from_index": "integer (int64)",
  "number_of_pages": "integer (int64)",
  "page_size": "integer (int64)",
  "to_index": "integer (int64)",
  "total_number_of_elements": "integer (int64)",
  "values": [
    {
      "currency": "EUR",
      "gross_amount": 1000,
      "notes": "Example note to the order.",
      "date": "2019-12-15T13:45:26.123",
      "status": "PROCESSING",
      "departure_country": "DE",
      "departure_zip": "14478",
      "line_items": [
        {
          "type": "PHYSICAL",
          "name": "Malbuch für 365 Tage",
          "product_number": "9000-242",
          "quantity_unit": "pcs",
          "quantity": 1,
          "net_amount": 2213,
          "unit_price": 500,
          "gross_amount": 1422,
          "vat_amount": 1333,
          "tax_rate": 19,
          "height": 25,
          "width": 5,
          "length": 10,
          "weight": 200
        }
      ]
    }
  ]
}

Place order

Creates a new order as part of Collect & Clear service

POST /cv-order-management/rest/order

New order to create.

Request Content-Types: application/json
Request Example
{
  "order_number": "1000012345-0001",
  "order": {
    "currency": "EUR",
    "gross_amount": 1000,
    "notes": "Example note to the order.",
    "date": "2019-12-15T13:45:26.123",
    "status": "PROCESSING",
    "departure_country": "DE",
    "departure_zip": "14478",
    "line_items": [
      {
        "type": "PHYSICAL",
        "name": "Malbuch für 365 Tage",
        "product_number": "9000-242",
        "quantity_unit": "pcs",
        "quantity": 1,
        "net_amount": 2213,
        "unit_price": 500,
        "gross_amount": 1422,
        "vat_amount": 1333,
        "tax_rate": 19,
        "height": 25,
        "width": 5,
        "length": 10,
        "weight": 200
      }
    ]
  },
  "customer": {
    "type": "PERSON",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "date_of_birth": "1980-08-23",
    "gender": "Male",
    "phone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "address": 1
  },
  "invoice": {
    "date": "2019-12-15",
    "currency": "EUR",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "phone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "address": 1
  },
  "payment": {
    "merchant_callback_uri": "https://www.myshop.de/callback?token={token}&confirmation={confirmation}",
    "method": "CREDITCARD",
    "type": "CREDITCARD",
    "mode": "CREDITCARD",
    "timestamp": "2019-08-20T17:02:28.000",
    "transaction_number": "df1d874d-bacf-41af-8e9d-e82bad309a39",
    "status": "df1d874d-bacf-41af-8e9d-e82bad309a39",
    "auth_expiration_in_days": 30,
    "amount": 6000,
    "currency": "EUR",
    "authorised_amount": 300
  },
  "shipping": {
    "type": "DIRECT",
    "status": "DISPATCHED",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "telephone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "supplier": 1,
    "address": 1
  }
}

OK

201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
{
  "id": "9f083e77352c01"
}

Update order

Updates an existing order.

PUT /cv-order-management/rest/order

Order to be updated

Request Content-Types: application/json
Request Example
{
  "order_number": "1000012345-0001",
  "order": {
    "currency": "EUR",
    "gross_amount": 1000,
    "notes": "Example note to the order.",
    "date": "2019-12-15T13:45:26.123",
    "status": "PROCESSING",
    "departure_country": "DE",
    "departure_zip": "14478",
    "line_items": [
      {
        "type": "PHYSICAL",
        "name": "Malbuch für 365 Tage",
        "product_number": "9000-242",
        "quantity_unit": "pcs",
        "quantity": 1,
        "net_amount": 2213,
        "unit_price": 500,
        "gross_amount": 1422,
        "vat_amount": 1333,
        "tax_rate": 19,
        "height": 25,
        "width": 5,
        "length": 10,
        "weight": 200
      }
    ]
  },
  "customer": {
    "type": "PERSON",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "date_of_birth": "1980-08-23",
    "gender": "Male",
    "phone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "address": 1
  },
  "invoice": {
    "date": "2019-12-15",
    "currency": "EUR",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "phone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "address": 1
  },
  "payment": {
    "merchant_callback_uri": "https://www.myshop.de/callback?token={token}&confirmation={confirmation}",
    "method": "CREDITCARD",
    "type": "CREDITCARD",
    "mode": "CREDITCARD",
    "timestamp": "2019-08-20T17:02:28.000",
    "transaction_number": "df1d874d-bacf-41af-8e9d-e82bad309a39",
    "status": "df1d874d-bacf-41af-8e9d-e82bad309a39",
    "auth_expiration_in_days": 30,
    "amount": 6000,
    "currency": "EUR",
    "authorised_amount": 300
  },
  "shipping": {
    "type": "DIRECT",
    "status": "DISPATCHED",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "telephone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "supplier": 1,
    "address": 1
  }
}

OK

201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json
Response Example (200 OK)
{
  "id": "9f083e77352c01"
}

Refund

POST /cv-order-management/rest/refund

Refund to the order

Request Content-Types: application/json
Request Example
{
  "order_number": "1000001962",
  "line_items": [
    {
      "product_number": "BK-0047001",
      "return_quantity": 6,
      "net_amount": 2900
    }
  ]
}
201 Created

Created

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Response Content-Types: application/json

Schema Definitions

ProductsResponse: object

metadata: PagingMetadata
products: Product
Product
Example
{
  "metadata": {
    "page": "integer (int32)",
    "page_size": "integer (int32)",
    "total_elements": "integer (int64)",
    "total_pages": "integer (int32)"
  },
  "products": [
    {
      "net_amount": "number",
      "gross_amount": "number",
      "product_number": "string"
    }
  ]
}

ClearVatCase: object

clearvatcase: boolean
Example
{
  "clearvatcase": true
}

PagingMetadata: object

page: integer (int32)

The current page number.

page_size: integer (int32)

The number of elements per page.

total_elements: integer (int64)

The total number of elements.

total_pages: integer (int32)

The total number of pages.

Example
{
  "page": "integer (int32)",
  "page_size": "integer (int32)",
  "total_elements": "integer (int64)",
  "total_pages": "integer (int32)"
}

Product: object

net_amount: number
gross_amount: number
product_number: string
Example
{
  "net_amount": "number",
  "gross_amount": "number",
  "product_number": "string"
}

Configuration: object

created_by: string
created_on: string (date-time)
id: integer (int64)
modified_by: string
modified_on: string (date-time)
name: string
shop_id: integer (int64)
tenant_id: integer (int64)
value: string
Example
{
  "created_by": "string",
  "created_on": "string (date-time)",
  "id": "integer (int64)",
  "modified_by": "string",
  "modified_on": "string (date-time)",
  "name": "string",
  "shop_id": "integer (int64)",
  "tenant_id": "integer (int64)",
  "value": "string"
}

DisplayRequest: object

country_from: string
country_to: string
products: Product
Product
zip_from: string
zip_to: string
Example
{
  "country_from": "string",
  "country_to": "string",
  "products": [
    {
      "net_amount": "number",
      "gross_amount": "number",
      "product_number": "string"
    }
  ],
  "zip_from": "string",
  "zip_to": "string"
}

Display: object

gross_amount: number
net_amount: number
product_number: string
vat_rate: number
Example
{
  "gross_amount": "number",
  "net_amount": "number",
  "product_number": "string",
  "vat_rate": "number"
}

Address: object

Address details.

address_line_1: string

First address line, ex: street name.

address_line_2: string

Second address line, if applicable.

house_number: string

House number

city: string

City

postal_code: string

Postal Code

country: string

Country code in ISO 639-1 2-digit format

state_province: string

Information about state or province.

po_box: string

PO box name.

Example
{
  "address_line_1": "Hofgebäude",
  "address_line_2": "Hinterhof A",
  "house_number": "10",
  "city": "Konstanz",
  "postal_code": 78462,
  "country": "DE",
  "state_province": "Baden-Württemberg",
  "po_box": "2839-909"
}

Refund: object

Refund details.

order_number: string
line_items: RefundLineItem
RefundLineItem
Example
{
  "order_number": "1000001962",
  "line_items": [
    {
      "product_number": "BK-0047001",
      "return_quantity": 6,
      "net_amount": 2900
    }
  ]
}

RefundLineItem: object

Refund line item details.

product_number: string
return_quantity: integer (int64)
net_amount: integer (int64)
Example
{
  "product_number": "BK-0047001",
  "return_quantity": 6,
  "net_amount": 2900
}

Customer: object

Customer details

type: string PERSON, COMPANY

Customer type determines whether the order is made by customer or company

company: string

Company name if customer type is COMPANY.

title: string

The title of the person. Could be Prof., Dr., etc.

salutation: string

Salutation of person or company

first_name: string

First Name

middle_name: string

Middle Name

last_name: string

Last Name

date_of_birth: string

The customer birth's date. Format: YYYY-MM-DD. There are legal requirements for some products considering the age of the client.

gender: string MALE, FEMALE, DIVERSE

Gender

phone: string

Phone number

fax: string

Fax number

email: string

Email

address: Address

The address of the customer

Example
{
  "type": "PERSON",
  "company": "ClearVAT AG",
  "title": "Prof.",
  "salutation": "Mr.",
  "first_name": "James",
  "middle_name": "Maria",
  "last_name": "Bond",
  "date_of_birth": "1980-08-23",
  "gender": "Male",
  "phone": "+49-7531-12210",
  "fax": "+49-7531-12210223",
  "email": "customer@google.com",
  "address": 1
}

Invoice: object

Invoice details

date: string

Date and time of order creation. Format: YYYY-MM-DD

currency: string

Currency belonging to the invoice amount, 3-letter ISO currency code.

company: string

Company name.

title: string

The title of the person. Could be Prof., Dr., etc.

salutation: string

Salutation

first_name: string

First Name

middle_name: string

Middle Name

last_name: string

Last Name

phone: string

Phone number

fax: string

Fax number

email: string

Email

address: Address

The address for the invoice.

Example
{
  "date": "2019-12-15",
  "currency": "EUR",
  "company": "ClearVAT AG",
  "title": "Prof.",
  "salutation": "Mr.",
  "first_name": "James",
  "middle_name": "Maria",
  "last_name": "Bond",
  "phone": "+49-7531-12210",
  "fax": "+49-7531-12210223",
  "email": "customer@google.com",
  "address": 1
}

Supplier: object

Supplier details

name: string

Name of shipping company used.

store_id: string

ID of the store, registered in shipping company.

carrier_code: string

Code identifying carrier.

comment: string

Comment to be considered while making the delivery.

tracking_uri: string

URL providing tracking information.

tracking_code: string

Tracking code that may be used to track the delivery.

can_ship_partially: boolean

TRUE if partial shipment is allowed, FALSE otherwise (default).

weight: number

Total weight of shipment in grams.

Example
{
  "name": "DHL",
  "store_id": "328909",
  "carrier_code": "9928",
  "comment": "Handle with care",
  "tracking_uri": "www.dhl.com/code=12344324342",
  "tracking_code": "12344324342",
  "can_ship_partially": false,
  "weight": 200
}

Shipping: object

Shipping details

type: string

DIRECT (Shipped immediately by the merchant or ClearVAT) or AFTER_PAYMENT (Shipped once the payment has been made (for asynchronous payments)).

status: string PENDING, DISPATCHED, EN_ROUTE, DELIVERED, NOT_DELIVERED

Status of the shipment.

company: string

Company name.

title: string

The title of the person. Could be Prof., Dr., etc.

salutation: string

Salutation

first_name: string

First Name

middle_name: string

Middle Name

last_name: string

Last Name

telephone: string

Phone number

fax: string

Fax number

email: string

Email

supplier: Supplier

The supplier of the shipping.

address: Address

The address for the shipping.

Example
{
  "type": "DIRECT",
  "status": "DISPATCHED",
  "company": "ClearVAT AG",
  "title": "Prof.",
  "salutation": "Mr.",
  "first_name": "James",
  "middle_name": "Maria",
  "last_name": "Bond",
  "telephone": "+49-7531-12210",
  "fax": "+49-7531-12210223",
  "email": "customer@google.com",
  "supplier": 1,
  "address": 1
}

OrderRequest: object

The order request.

order_number: string

Unique order id from shop.

order: Order
customer: Customer
invoice: Invoice
payment: Payment
shipping: Shipping
Example
{
  "order_number": "1000012345-0001",
  "order": {
    "currency": "EUR",
    "gross_amount": 1000,
    "notes": "Example note to the order.",
    "date": "2019-12-15T13:45:26.123",
    "status": "PROCESSING",
    "departure_country": "DE",
    "departure_zip": "14478",
    "line_items": [
      {
        "type": "PHYSICAL",
        "name": "Malbuch für 365 Tage",
        "product_number": "9000-242",
        "quantity_unit": "pcs",
        "quantity": 1,
        "net_amount": 2213,
        "unit_price": 500,
        "gross_amount": 1422,
        "vat_amount": 1333,
        "tax_rate": 19,
        "height": 25,
        "width": 5,
        "length": 10,
        "weight": 200
      }
    ]
  },
  "customer": {
    "type": "PERSON",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "date_of_birth": "1980-08-23",
    "gender": "Male",
    "phone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "address": 1
  },
  "invoice": {
    "date": "2019-12-15",
    "currency": "EUR",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "phone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "address": 1
  },
  "payment": {
    "merchant_callback_uri": "https://www.myshop.de/callback?token={token}&confirmation={confirmation}",
    "method": "CREDITCARD",
    "type": "CREDITCARD",
    "mode": "CREDITCARD",
    "timestamp": "2019-08-20T17:02:28.000",
    "transaction_number": "df1d874d-bacf-41af-8e9d-e82bad309a39",
    "status": "df1d874d-bacf-41af-8e9d-e82bad309a39",
    "auth_expiration_in_days": 30,
    "amount": 6000,
    "currency": "EUR",
    "authorised_amount": 300
  },
  "shipping": {
    "type": "DIRECT",
    "status": "DISPATCHED",
    "company": "ClearVAT AG",
    "title": "Prof.",
    "salutation": "Mr.",
    "first_name": "James",
    "middle_name": "Maria",
    "last_name": "Bond",
    "telephone": "+49-7531-12210",
    "fax": "+49-7531-12210223",
    "email": "customer@google.com",
    "supplier": 1,
    "address": 1
  }
}

Payment: object

The order request.

merchant_callback_uri: string

URL that is called by the server when payment is asynchronous and the payment status has changed.

method: string

Method used by the customer for payment. For possible values please refer to the separate table of payment methods below.

type: string SYNCHRONOUS, ASYNCHRONOUS

Type of payment. SYNCHRONOUS: Order is paid electronically during the checkout process and thus is already paid fully when sending order info (e.g. credit card). ASYNCHRONOUS: Order is paid at a later time and the status then informed via callback (e.g. invoice). The query parameter “token” must be then included in the request.

mode: string SALE, AUTH

Mode used during payment. SALE: Direct sale transaction. AUTH: Reservation.

timestamp: string

Date and time of payment transaction, format yyyy-mm-dd”T”hh:ii:ss.SSS

transaction_number: string

Transaction reference number returned by the payment processor.

status: string PAID, PENDING, CANCELLED, FAILED

Status of the payment.

auth_expiration_in_days: number

In case of payment_mode = AUTH, this field can be used to inform of the time allowed until the reservation expires. Integer number in days.

amount: number

Amount paid in cents.

currency: string

3-letter ISO code of currency used in payment.

authorised_amount: number

Authorised amount in cents, in case of AUTH (may not be same as transaction amount in some special cases)

Example
{
  "merchant_callback_uri": "https://www.myshop.de/callback?token={token}&confirmation={confirmation}",
  "method": "CREDITCARD",
  "type": "CREDITCARD",
  "mode": "CREDITCARD",
  "timestamp": "2019-08-20T17:02:28.000",
  "transaction_number": "df1d874d-bacf-41af-8e9d-e82bad309a39",
  "status": "df1d874d-bacf-41af-8e9d-e82bad309a39",
  "auth_expiration_in_days": 30,
  "amount": 6000,
  "currency": "EUR",
  "authorised_amount": 300
}

Order: object

The orders sent from e-commerce platforms.

currency: string

Currency of transaction in shop, 3-letter ISO code

gross_amount: number

Total gross amount of shop transaction in cents (no decimals).

notes: string

Additional infos to shop transaction, may be empty.

date: string

Date and time of order creation. Format: yyyy-mm-dd”T”hh:ii:ss

status: string PENDING_PAYMENT, PROCESSING, COMPLETE, CLOSED, CANCELLED

Status of the Order (uppercase string).

departure_country: string

Country the product physically departures from.

departure_zip: string

Zip code the product physically departures from.

line_items: LineItem
LineItem
Example
{
  "currency": "EUR",
  "gross_amount": 1000,
  "notes": "Example note to the order.",
  "date": "2019-12-15T13:45:26.123",
  "status": "PROCESSING",
  "departure_country": "DE",
  "departure_zip": "14478",
  "line_items": [
    {
      "type": "PHYSICAL",
      "name": "Malbuch für 365 Tage",
      "product_number": "9000-242",
      "quantity_unit": "pcs",
      "quantity": 1,
      "net_amount": 2213,
      "unit_price": 500,
      "gross_amount": 1422,
      "vat_amount": 1333,
      "tax_rate": 19,
      "height": 25,
      "width": 5,
      "length": 10,
      "weight": 200
    }
  ]
}

LineItem: object

type: string PHYSICAL, VIRTUAL, SHIPPING

Type of order item.

name: string

Product name (language as displayed to buyer).

product_number: string

Merchant's product number from the shop.

quantity_unit: string

Unit of sold product as used in shop system (string), such as “pcs”, “kg” etc.

quantity: integer (int64)

Quantity sold of order item.

net_amount: number

Net value of sold order item in cents (no decimals).

unit_price: number

Price per unit in cents. This only makes sense if the unit is not “pcs” (or “Stk.” in German), e.g. a bag of flour might contain 5 kg, then the price per kg could be put here.

gross_amount: number

Gross value of sold order item in cents including taxes and discount, excluding shipping and payment costs.

vat_amount: number

VAT value of sold order item in cents, including taxes and discount, excluding shipping and payment costs.

tax_rate: number

Used tax rate (percentage), as computed by ClearVAT Display service, decimal delimiter "."

height: number

Height of the item for shipping purposes if applicable in centimeters, no decimals.

width: number

Width of the item for shipping purposes if applicable in centimeters, no decimals.

length: number

Length of the item for shipping purposes if applicable in centimeters, no decimals.

weight: number

Weight of the item for shipping purposes if applicable in grams, no decimals.

Example
{
  "type": "PHYSICAL",
  "name": "Malbuch für 365 Tage",
  "product_number": "9000-242",
  "quantity_unit": "pcs",
  "quantity": 1,
  "net_amount": 2213,
  "unit_price": 500,
  "gross_amount": 1422,
  "vat_amount": 1333,
  "tax_rate": 19,
  "height": 25,
  "width": 5,
  "length": 10,
  "weight": 200
}

Paging«Order»: object

current_page: integer (int64)
from_index: integer (int64)
number_of_pages: integer (int64)
page_size: integer (int64)
to_index: integer (int64)
total_number_of_elements: integer (int64)
values: Order
Order
Example
{
  "current_page": "integer (int64)",
  "from_index": "integer (int64)",
  "number_of_pages": "integer (int64)",
  "page_size": "integer (int64)",
  "to_index": "integer (int64)",
  "total_number_of_elements": "integer (int64)",
  "values": [
    {
      "currency": "EUR",
      "gross_amount": 1000,
      "notes": "Example note to the order.",
      "date": "2019-12-15T13:45:26.123",
      "status": "PROCESSING",
      "departure_country": "DE",
      "departure_zip": "14478",
      "line_items": [
        {
          "type": "PHYSICAL",
          "name": "Malbuch für 365 Tage",
          "product_number": "9000-242",
          "quantity_unit": "pcs",
          "quantity": 1,
          "net_amount": 2213,
          "unit_price": 500,
          "gross_amount": 1422,
          "vat_amount": 1333,
          "tax_rate": 19,
          "height": 25,
          "width": 5,
          "length": 10,
          "weight": 200
        }
      ]
    }
  ]
}

ResponseEntity: object

id: string

Unique id of the request.

Example
{
  "id": "9f083e77352c01"
}